Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Class QueueSizeThresh

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.QueueSizeThresh

    public class QueueSizeThresh

extends Object

Encapsulates thresholds on the queue size with the corresponding transition rates and geometric distributions for the number of successive self jumps preceding any generated transition.

Constructor Summary
`QueueSizeThresh(double jumpRate, double nu, int queueCapacity, int numThresh)` Constructs a new manager for queue size thresholds, for a CTMC with the given jump rate `jumpRate`, representing a call center with maximal abandonment rate `nu`, and maximal queue capacity `queueCapacity`.

Method Summary
`double` | `getJumpRate(int r)` Returns the maximal transition rate if the queue size is smaller than or equal to the the threshold with index `r`.
`GeometricDist` | `getNumFalseTrDist(int r)` Returns the geometric distribution for the successive number of self jumps before any transition, while the queue size is smaller than or equal to to threshold with index `r`.
`int` | `getNumThresholds()` Returns the number of thresholds managed by this object.
`int` | `getQueueSizeThresh(int r)` Returns the threshold on the queue size with index `r`.
`int` | `updateQIdx(int qidx, int queueSize)` Returns the smallest index for which the queue size is smaller than or equal to the corresponding threshold, given that the current index is `qidx`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueSizeThresh

    public QueueSizeThresh(double jumpRate,
                           double nu,
                           int queueCapacity,
                           int numThresh)

  Constructs a new manager for queue size thresholds, for a CTMC with the given jump rate `jumpRate`, representing a call center with maximal abandonment rate `nu`, and maximal queue capacity `queueCapacity`. The computed thresholds is an increasing sequence of `numThresh` integers distributed evenly on the interval [0, H], where H is the queue capacity.

  Parameters:
    `jumpRate` - the jump rate for the CTMC.
    `nu` - the maximal abandonment rate.
    `queueCapacity` - the queue capacity.
    `numThresh` - the number of thresholds to create.

Method Detail

### getNumThresholds

    public int getNumThresholds()

  Returns the number of thresholds managed by this object.

  Returns:
    the number of managed thresholds.

### getJumpRate

    public double getJumpRate(int r)

  Returns the maximal transition rate if the queue size is smaller than or equal to the the threshold with index `r`.

  Parameters:
    `r` - the index of the tested threshold.
  Returns:
    the transition rate.

### getQueueSizeThresh

    public int getQueueSizeThresh(int r)

  Returns the threshold on the queue size with index `r`.

  Parameters:
    `r` - the index of the threshold.
  Returns:
    the threshold corresponding to the index.

### getNumFalseTrDist

    public GeometricDist getNumFalseTrDist(int r)

  Returns the geometric distribution for the successive number of self jumps before any transition, while the queue size is smaller than or equal to to threshold with index `r`.

  Parameters:
    `r` - the index of the queue size threshold.
  Returns:
    the distribution of the successive number of self jumps before any transition.

### updateQIdx

    public int updateQIdx(int qidx,
                          int queueSize)

  Returns the smallest index for which the queue size is smaller than or equal to the corresponding threshold, given that the current index is `qidx`. The given index is used as a starting point for searching the correct index.

  Parameters:
    `qidx` - the current threshold index.
    `queueSize` - the current queue size.
  Returns:
    the appropriate queue size threshold index.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.